aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/ftp.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bashrc.d/ftp.bash')
-rw-r--r--bash/bashrc.d/ftp.bash5
1 files changed, 5 insertions, 0 deletions
diff --git a/bash/bashrc.d/ftp.bash b/bash/bashrc.d/ftp.bash
index 04518b5f..4d0e89a6 100644
--- a/bash/bashrc.d/ftp.bash
+++ b/bash/bashrc.d/ftp.bash
@@ -1,3 +1,8 @@
+# Bail if no ftp(1)
+if ! hash ftp 2>/dev/null; then
+ return
+fi
+
# Completion for ftp with .netrc machines
_ftp() {
local word=${COMP_WORDS[COMP_CWORD]}